Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1820855 - Review Request: golang-github-jpillora-requestlog - Simple request logging
Summary: Review Request: golang-github-jpillora-requestlog - Simple request logging
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1820851 1820856
Blocks: 1820918
TreeView+ depends on / blocked
 
Reported: 2020-04-04 08:13 UTC by Fabian Affolter
Modified: 2020-07-01 01:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-01 01:49:04 UTC
Type: ---
Embargoed:
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-04-04 08:13:50 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-jpillora-requestlog.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-jpillora-requestlog-1.0.0-1.fc31.src.rpm

Project URL: https://github.com/jpillora/requestlog

Description:
Simple request logging in Go (Golang).

Koji scratch build:
fails due to missing dependencies

rpmlint output:
$ rpmlint golang-github-jpillora-requestlog-*
golang-github-jpillora-requestlog.src: W: no-%build-section
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint golang-github-jpillora-requestlog-devel*
golang-github-jpillora-requestlog-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/jpillora/requestlog/.goipath
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-06-19 15:24:05 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Fabian Affolter 2020-06-19 18:19:42 UTC
Thanks for the review.

Comment 3 Gwyn Ciesla 2020-06-19 18:52:11 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-jpillora-requestlog

Comment 4 Fedora Update System 2020-06-20 14:33:41 UTC
FEDORA-2020-6928d510cf has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6928d510cf

Comment 5 Fedora Update System 2020-06-23 01:03:48 UTC
FEDORA-2020-6928d510cf has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-6928d510cf \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6928d510cf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-07-01 01:49:04 UTC
FEDORA-2020-6928d510cf has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.